{
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.terminal.ghostty;
in {
  options = {
    terminal.ghostty.enable = mkEnableOption "enable ghostty terminal";
  };
  config = mkIf cfg.enable {
    programs.ghostty = {
      enable = true;
      settings = {
        gtk-single-instance = true;
        window-decoration = "server";
      };
    };
  };
}
